Sign Transaction or Typed Data
post
/walletservice/v1/wallets/{walletId}/sign
Sign EVM transaction payloads (and EIP-712 payloads via kind=eip712) with the specified wallet.
Request
Path Parameters
-
walletId(required): integer(int64)
Wallet identifier.Example:
101
Supported Media Types
- application/json
Root Schema : schema
Type:
objectUnified sign request. Preferred shape is { blockchainKind, kind, data }. Backward-compatible legacy transaction and JSON-RPC shapes are also accepted.
Show Source
-
blockchainKind: string
Blockchain family selector. Defaults to evm when omitted.Example:
evm -
chainId:
chainId
-
data: object
data
Additional Properties Allowed:
truePayload object. For transaction kinds this is tx data. For eip712 this may contain typed_data. -
id:
id
-
jsonrpc: string
Example:
2.0 -
jsonRpcMethod: string
Legacy JSON-RPC method field accepted for backward compatibility.Example:
eth_signTransaction -
kind: string
Allowed Values:
[ "transaction", "evm", "eip712" ]Signing kind. Defaults to transaction when omitted.Example:transaction -
method: string
Example:
eth_signTransaction -
params: array
params
-
rpcUrl: string
(uri)
Optional RPC endpoint used for nonce, gas, and transaction type resolution before returning the signed transaction.Example:
http://127.0.0.1:8545
Nested Schema : data
Type:
objectAdditional Properties Allowed:
truePayload object. For transaction kinds this is tx data. For eip712 this may contain typed_data.
Nested Schema : params
Type:
Show Source
arrayExample:
[
{
"from":"0xa537b178b12E40EC07c361Fa1D5bb1f6770f7262",
"to":"0x2a58b1eb2f8821c3001eece71921ce977f6529ad",
"data":"0x",
"gas":21000,
"gasPrice":0,
"nonce":0,
"value":0,
"chainId":1337
}
]Nested Schema : items
Type:
objectExamples
Security
-
bearerAuth: http
Type:
http
Response
Supported Media Types
- application/json
200 Response
Payload signed successfully.
Root Schema : SignTransactionResponse
Type:
Show Source
object-
dateSigned(required): string
(date-time)
Example:
2026-05-26T19:23:08.736547549Z -
signature(required): object
signature
-
walletId(required): string
Example:
5b018c64-bde8-4927-8183-93cda4422a23
Nested Schema : signature
Type:
Show Source
object-
encoded(required): string
Signed payload hex.Example:
0xf91f0... -
r: string
Example:
oracle.doceng.json.BetterJsonNull@73194df -
recid: integer
Example:
oracle.doceng.json.BetterJsonNull@3a4621bd -
s: string
Example:
oracle.doceng.json.BetterJsonNull@12f9af83 -
v: integer
Example:
oracle.doceng.json.BetterJsonNull@1f010bf0
Examples
400 Response
Bad request.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
500 Response
Internal server error.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.